#include "GhostKeyb.h"

rom BYTE aiNotepad[]    = {KEYB_d,KEYB_r,0,0,KEYB_n,KEYB_o,KEYB_t,KEYB_e,KEYB_p,KEYB_a,KEYB_d,0,0,KEYB_ENTER,0};
rom BYTE aiNotepadMod[] = {8,8,0,0,0,0,0,0,0,0,0,0,0,0,0};

// Wake up, Neo ...
rom BYTE aiWakeUp[]    = {KEYB_w,KEYB_a,KEYB_k,KEYB_e,KEYB_SPACE,KEYB_u,KEYB_p,KEYB_SPACE,KEYB_n,KEYB_e,KEYB_o,KEYB_SPACE,KEYB_DOT,KEYB_DOT,KEYB_DOT,KEYB_ENTER,0};
rom BYTE aiWakeUpMod[] = {2,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0};
// The Matrix has you...
rom BYTE aiMatrix[]    = {KEYB_t,KEYB_h,KEYB_e,KEYB_SPACE,KEYB_m,KEYB_a,KEYB_t,KEYB_r,KEYB_i,KEYB_x,KEYB_SPACE,KEYB_h,KEYB_a,KEYB_s,KEYB_SPACE,KEYB_y,KEYB_o,KEYB_u,KEYB_DOT,KEYB_DOT,KEYB_DOT,KEYB_ENTER,0};
rom BYTE aiMatrixMod[] = {2,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
// Follow the white rabbit.
rom BYTE aiFollow[]    = {KEYB_f,KEYB_o,KEYB_l,KEYB_l,KEYB_o,KEYB_w,KEYB_SPACE,KEYB_t,KEYB_h,KEYB_e,KEYB_SPACE,KEYB_w,KEYB_h,KEYB_i,KEYB_t,KEYB_e,KEYB_SPACE,KEYB_r,KEYB_a,KEYB_b,KEYB_b,KEYB_i,KEYB_t,KEYB_DOT,KEYB_ENTER,0};
rom BYTE aiFollowMod[] = {2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
// Knock, knock, Neo.
rom BYTE aiKnock[]    = {KEYB_k,KEYB_n,KEYB_o,KEYB_c,KEYB_k,KEYB_COMMA,KEYB_SPACE,KEYB_k,KEYB_n,KEYB_o,KEYB_c,KEYB_k,KEYB_COMMA,KEYB_SPACE,KEYB_n,KEYB_e,KEYB_o,KEYB_DOT,KEYB_ENTER,0};
rom BYTE aiKnockMod[] = {2,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0};
// Purtroppo per te io non sono Morpheus, ma sono un virus che si e' impiantato nel tuo hardware
rom BYTE aiMsg1[]    = {KEYB_p,KEYB_u,KEYB_r,KEYB_t,KEYB_r,KEYB_o,KEYB_p,KEYB_p,KEYB_o,KEYB_SPACE,KEYB_p,KEYB_e,KEYB_r,KEYB_SPACE,KEYB_t,KEYB_e,KEYB_SPACE,KEYB_i,KEYB_o,KEYB_SPACE,KEYB_n,KEYB_o,KEYB_n,KEYB_SPACE,KEYB_s,KEYB_o,KEYB_n,KEYB_o,KEYB_SPACE,KEYB_m,KEYB_o,KEYB_r,KEYB_p,KEYB_h,KEYB_e,KEYB_u,KEYB_s,KEYB_COMMA,KEYB_SPACE,KEYB_m,KEYB_a,KEYB_SPACE,KEYB_s,KEYB_o,KEYB_n,KEYB_o,KEYB_SPACE,KEYB_u,KEYB_n,KEYB_SPACE,KEYB_v,KEYB_i,KEYB_r,KEYB_u,KEYB_s,KEYB_SPACE,KEYB_c,KEYB_h,KEYB_e,KEYB_SPACE,KEYB_s,KEYB_i,KEYB_SPACE,KEYB_e,KEYB_APICE,KEYB_SPACE,KEYB_i,KEYB_m,KEYB_p,KEYB_i,KEYB_a,KEYB_n,KEYB_t,KEYB_a,KEYB_t,KEYB_o,KEYB_SPACE,KEYB_n,KEYB_e,KEYB_l,KEYB_SPACE,KEYB_t,KEYB_u,KEYB_o,KEYB_SPACE,KEYB_h,KEYB_a,KEYB_r,KEYB_d,KEYB_w,KEYB_a,KEYB_r,KEYB_e,KEYB_ENTER,0};
rom BYTE aiMsg1Mod[] = {2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
// anche se reinstalli il tuo OS io ci saro' di nuovo a farti compagnia. Chiamami MATRIX.
rom BYTE aiMsg2[]    = {KEYB_a,KEYB_n,KEYB_c,KEYB_h,KEYB_e,KEYB_SPACE,KEYB_s,KEYB_e,KEYB_SPACE,KEYB_r,KEYB_e,KEYB_i,KEYB_n,KEYB_s,KEYB_t,KEYB_a,KEYB_l,KEYB_l,KEYB_i,KEYB_SPACE,KEYB_i,KEYB_l,KEYB_SPACE,KEYB_t,KEYB_u,KEYB_o,KEYB_SPACE,KEYB_o,KEYB_s,KEYB_SPACE,KEYB_i,KEYB_o,KEYB_SPACE,KEYB_c,KEYB_i,KEYB_SPACE,KEYB_s,KEYB_a,KEYB_r,KEYB_o,KEYB_APICE,KEYB_SPACE,KEYB_d,KEYB_i,KEYB_SPACE,KEYB_n,KEYB_u,KEYB_o,KEYB_v,KEYB_o,KEYB_SPACE,KEYB_a,KEYB_SPACE,KEYB_f,KEYB_a,KEYB_r,KEYB_t,KEYB_i,KEYB_SPACE,KEYB_c,KEYB_o,KEYB_m,KEYB_p,KEYB_a,KEYB_g,KEYB_n,KEYB_i,KEYB_a,KEYB_DOT,KEYB_SPACE,KEYB_c,KEYB_h,KEYB_i,KEYB_a,KEYB_m,KEYB_a,KEYB_m,KEYB_i,KEYB_SPACE,KEYB_m,KEYB_a,KEYB_t,KEYB_r,KEYB_i,KEYB_x,KEYB_DOT,KEYB_ENTER,0};
rom BYTE aiMsg2Mod[] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,2,2,2,2,2,2,0,0,0};
// Mi sono copiato dentro il firmware del tuo hard disk...
rom BYTE aiMsg3[]    = {KEYB_m,KEYB_i,KEYB_SPACE,KEYB_s,KEYB_o,KEYB_n,KEYB_o,KEYB_SPACE,KEYB_c,KEYB_o,KEYB_p,KEYB_i,KEYB_a,KEYB_t,KEYB_o,KEYB_SPACE,KEYB_d,KEYB_e,KEYB_n,KEYB_t,KEYB_r,KEYB_o,KEYB_SPACE,KEYB_i,KEYB_l,KEYB_SPACE,KEYB_f,KEYB_i,KEYB_r,KEYB_m,KEYB_w,KEYB_a,KEYB_r,KEYB_e,KEYB_SPACE,KEYB_d,KEYB_e,KEYB_l,KEYB_SPACE,KEYB_t,KEYB_u,KEYB_o,KEYB_SPACE,KEYB_h,KEYB_a,KEYB_r,KEYB_d,KEYB_SPACE,KEYB_d,KEYB_i,KEYB_s,KEYB_k,KEYB_DOT,KEYB_DOT,KEYB_DOT,KEYB_ENTER,0};
rom BYTE aiMsg3Mod[] = {2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
// Ora mi trastullo un po' con il tuo mouse mentre tu continua con il tuo lavoro...
rom BYTE aiMsg4[]    = {KEYB_o,KEYB_r,KEYB_a,KEYB_SPACE,KEYB_m,KEYB_i,KEYB_SPACE,KEYB_t,KEYB_r,KEYB_a,KEYB_s,KEYB_t,KEYB_u,KEYB_l,KEYB_l,KEYB_o,KEYB_SPACE,KEYB_u,KEYB_n,KEYB_SPACE,KEYB_p,KEYB_o,KEYB_APICE,KEYB_SPACE,KEYB_c,KEYB_o,KEYB_n,KEYB_SPACE,KEYB_i,KEYB_l,KEYB_SPACE,KEYB_t,KEYB_u,KEYB_o,KEYB_SPACE,KEYB_m,KEYB_o,KEYB_u,KEYB_s,KEYB_e,KEYB_SPACE,KEYB_m,KEYB_e,KEYB_n,KEYB_t,KEYB_r,KEYB_e,KEYB_SPACE,KEYB_t,KEYB_u,KEYB_SPACE,KEYB_c,KEYB_o,KEYB_n,KEYB_t,KEYB_i,KEYB_n,KEYB_u,KEYB_a,KEYB_SPACE,KEYB_c,KEYB_o,KEYB_n,KEYB_SPACE,KEYB_i,KEYB_l,KEYB_SPACE,KEYB_t,KEYB_u,KEYB_o,KEYB_SPACE,KEYB_l,KEYB_a,KEYB_v,KEYB_o,KEYB_r,KEYB_o,KEYB_DOT,KEYB_DOT,KEYB_DOT,KEYB_ENTER,0};
rom BYTE aiMsg4Mod[] = {2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
// Eccomi... di muovo qui... tutto bene? Se ti infastidisco basta dirlo... ciao, ciao
rom BYTE aiMsg5[]    = {KEYB_e,KEYB_c,KEYB_c,KEYB_o,KEYB_m,KEYB_i,KEYB_DOT,KEYB_DOT,KEYB_DOT,KEYB_SPACE,KEYB_d,KEYB_i,KEYB_SPACE,KEYB_n,KEYB_u,KEYB_o,KEYB_v,KEYB_o,KEYB_SPACE,KEYB_q,KEYB_u,KEYB_i,KEYB_DOT,KEYB_DOT,KEYB_DOT,KEYB_SPACE,KEYB_t,KEYB_u,KEYB_t,KEYB_t,KEYB_o,KEYB_SPACE,KEYB_b,KEYB_e,KEYB_n,KEYB_e,KEYB_APICE,KEYB_SPACE,KEYB_s,KEYB_e,KEYB_SPACE,KEYB_t,KEYB_i,KEYB_SPACE,KEYB_i,KEYB_n,KEYB_f,KEYB_a,KEYB_s,KEYB_t,KEYB_i,KEYB_d,KEYB_i,KEYB_s,KEYB_c,KEYB_o,KEYB_SPACE,KEYB_b,KEYB_a,KEYB_s,KEYB_t,KEYB_a,KEYB_SPACE,KEYB_d,KEYB_i,KEYB_r,KEYB_l,KEYB_o,KEYB_DOT,KEYB_DOT,KEYB_DOT,KEYB_SPACE,KEYB_c,KEYB_i,KEYB_a,KEYB_o,KEYB_COMMA,KEYB_SPACE,KEYB_c,KEYB_i,KEYB_a,KEYB_o,KEYB_ENTER,0};
rom BYTE aiMsg5Mod[] = {2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};

struct message
{
    int8 iDelayMsKey;
    int16 iDelayMsBefore;
    int8 iSize;
    int16 iPKey;
    int16 iPMod;
};
const struct message aMessage[] =
{
    {5,1,sizeof(aiNotepad),aiNotepad,aiNotepadMod},
    {7,200,sizeof(aiWakeUp),aiWakeUp,aiWakeUpMod},
    {20,100,sizeof(aiMatrix),aiMatrix,aiMatrixMod},
    {7,100,sizeof(aiFollow),aiFollow,aiFollowMod},
    {7,100,sizeof(aiKnock),aiKnock,aiKnockMod},
    {5,200,sizeof(aiMsg1),aiMsg1,aiMsg1Mod},
    {5,1,sizeof(aiMsg2),aiMsg2,aiMsg2Mod},
    {5,1,sizeof(aiMsg3),aiMsg3,aiMsg3Mod},
    {5,1,sizeof(aiMsg4),aiMsg4,aiMsg4Mod}
};
const struct message aMessage2[] =
{
    {5,1,sizeof(aiNotepad),aiNotepad,aiNotepadMod},
    {5,200,sizeof(aiMsg5),aiMsg5,aiMsg5Mod}
};
